#################################################
#
#  (C) 2016 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### cite (static) #############################

tde_add_library( cite STATIC_PIC AUTOMOC
  SOURCES lyxpipe.cpp actionmanager.cpp clipboard.cpp openoffice.cpp
  DEPENDENCIES core-static
)

##### directories ###############################

tde_conditional_add_subdirectory( BUILD_OOO_SUPPORT ooo )
